
package de.ivu.elect.business.personenpruefung.control.wertelisten;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.business.kandidatur.entity.Kandidatur;
import de.ivu.elect.business.person.entity.Personendaten;

@Specializes
public class CorePersonendatenWertelistenAbgleichMatcherResolver extends PersonendatenWertelistenAbgleichMatcherResolver {

  private static final long serialVersionUID = 1L;

  @Inject
  protected DefaultPersonendatenWertelistenAbgleichMatcher kandidaturWertelistenAbgleichMatcher;

  public CorePersonendatenWertelistenAbgleichMatcherResolver() {
    super();
  }

  @Override
  public PersonendatenWertelistenAbgleichMatcher getMatcher(Personendaten personendaten) {
    if (personendaten.isInstanceOf(Kandidatur.class)) {
      return kandidaturWertelistenAbgleichMatcher;
    }

    return super.getMatcher(personendaten);
  }
}
